#
# spec file for package nodejs-sigmund
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name sigmund

Name:           nodejs-sigmund
Version:        1.0.1
Release:        12.1
Summary:        Object SIgnatures
License:        ISC
Group:          Development/Libraries/Other
Url:            https://github.com/isaacs/sigmund
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
Quick and dirty signatures for Objects.

This is like a much faster deepEquals comparison, which returns a string
key suitable for caches and the like.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json %{base_name}.js bench.js \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{nodejs_modulesdir}/sigmund

%changelog
* Sat Jun 27 2015 i@marguerite.su
- update version 1.0.1
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Sun Sep 21 2014 i@marguerite.su
- format specfile
* Wed Aug 13 2014 jgleissner@suse.com
- added ExclusiveArch
* Wed Aug 13 2014 jgleissner@suse.com
- spec file clean up
* Wed Jan 29 2014 rschweikert@suse.com
- fix license
- spec file clean up
  + locally define module path
  + use module path for simplification
* Wed Jan 29 2014 rschweikert@suse.com
- spec clean up
  + locally define module path
  + use definition for simplification
* Tue Jan 28 2014 rschweikert@suse.com
- Initial build
